Institutional Notice (Zero-Custody & Negative Scope): This document is intended strictly for technical, analytical, and informational purposes. It does not constitute legal counsel, regulated financial consultancy, securities brokerage, or third-party asset management. Venko Software expressly declares its negative scope in the Venture Capital and Governance vertical: it does not raise funds, does not manage Venture Capital or Private Equity funds, does not provide investment consultancy registered with the CVM, and does not exercise custody or safekeeping of securities or financial capital deployed in funding rounds. Linked and settlement escrow accounts operate under the exclusive custody of financial institutions licensed by the Central Bank of Brazil. The platform operates exclusively as an enterprise software layer for evidentiary data governance (proof ledger), securing documentary integrity via SHA-256 cryptographic hashes and multi-signatory review (Maker-Checker).
Capital deployment in Venture Capital and Growth Equity rounds has undergone a structural transformation. The era of full upfront cash injections without contractual safeguards or verified operational traction has been replaced by milestone-based tranche structures. In this environment, the release of subsequent capital tranches is tied to independently verifiable metrics spanning software security, customer retention, and Annual Recurring Revenue (ARR).
Structuring these funding rounds requires seamless integration between corporate law and institutional governance standards. The core objective is balancing operational velocity for scale-ups with fiduciary protection for investment fund general partners (GPs) and limited partners (LPs).
<EscrowWorkflowDiagram locale="en" />
The Growth Round Disbursement Dilemma: Real Traction vs. Premature Dilution
Raising expansion capital (Series A, B, and Growth stages) forces founders and institutional investors into a delicate negotiation regarding valuation, dilution, and execution risk. When a funding round is fully liquidated on day one, founders immediately suffer full equity dilution based on projected forward targets that remain vulnerable to market shifts.
Conversely, staggering disbursements without objective, binary milestones exposes scale-ups to arbitrary investor hesitation and acute working capital instability. Structured tranche deployment reconciles these competing interests:
1. Cap Table Integrity: Initial capital tranches fund operational milestones required to justify target valuation metrics without dilutive renegotiation;
2. Mitigation of Execution Risk: Fund managers protect committed LP capital by conditioning subsequent capital calls on audited operational proof;
3. Financial Predictability: Programmatic escrow release schedules provide transparent, automated timelines governed by verifiable data.
The Legal Framework for Startups (LC 182/2021) and Article 6 Modalities
Statutory certainty for indirect investment vehicles in Brazil was established by Supplementary Law No. 182/2021 (the Brazilian Legal Framework for Startups). The statute explicitly provides that investors injecting capital into high-growth ventures do not assume liability for labor, tax, or civil debts of the investee company prior to effective equity conversion.
Structured milestone disbursements rely strictly on the legal vehicles codified under Article 6 of LC 182/2021:
- Convertible Loan Agreements (Item I): Permits staggered debt disbursements carrying predetermined maturity schedules and conversion covenants linked to corporate governance milestones;
- Stock Purchase Option Agreements (Item II): Grants the right to subscribe to equity interests upon the payment of milestone-conditioned premiums;
- Convertible Debentures (Item VI): Private debt instruments structured with multi-stage disbursements governed by independent engineering and financial verification certificates.
Regulatory Technical Note (Presidential Veto of LC 182/2021): Note that Article 7 of the original bill—which sought to regulate angel investor rights and governance limits—was vetoed in its entirety by Presidential Veto Message No. 231/2021 (along with Item V of Article 294-A of the Brazilian Corporations Act). Therefore, milestone tranche architectures must be grounded exclusively in the active, statutory modalities codified in Article 6 of LC 182/2021, avoiding references to vetoed statutory provisions.
Binding Efficacy of Shareholders' Agreements (Art. 118 of Law 6,404/76) in Conditional Injections
Whenever an investee operates as a corporation (Sociedade por Ações - S.A.) or as a limited liability company governed supplementarily by the Corporations Act, the Shareholders' Agreement serves as the paramount contractual instrument orchestrating tranche releases.
Article 118 of Federal Law No. 6,404/1976 establishes the binding efficacy of shareholders' agreements when filed at the company's registered headquarters. This filing creates legal obligations enforceable directly against the corporation itself:
1. Statutory Duty to Issue Capital: Upon objective milestone satisfaction, executive officers are legally bound to formalize capital increases and issue corresponding shares;
2. Nullification of Conflicting Votes: The chairman of general shareholders' meetings or board proceedings must disregard any vote cast in contravention of filed shareholders' covenants;
3. Specific Performance Enforcement: Unjustified failure by an investor or investee to execute milestone disbursements authorizes injunctive relief for specific performance (execução específica).
Defining Objective Milestones: Auditing ARR, Churn and SOC 2 Type II Standards
The primary source of dispute in conditional investment rounds is contractual ambiguity. Subjective terms such as "satisfactory market expansion" or "commercial software readiness" trigger protracted legal conflicts. Modern fiduciary engineering requires binary, verifiable parameters:
Technical Clarification on AICPA SOC 2 Type II: The SOC 2 framework is a private, independent technical auditing standard developed by the American Institute of CPAs, not a statutory government mandate. Its incorporation into investment agreements operates as an objective contractual covenant agreed upon between private parties, ensuring that additional capital is unlocked only after independent validation of software security, processing integrity, and operational controls.
Fiduciary Escrow Workflow for Gradual Capital Release
To eliminate counterparty risk—such as an investee meeting contractual targets while an investor withholds payment, or an investor deploying funds prematurely before milestones are verified—parties utilize segregated escrow accounts (Milestone Escrow):
1. Initial Escrow Deposit: At round closing, 100% of committed capital is deposited into a segregated escrow account maintained at an authorized custodian bank;
2. Fiduciary Account Lock: Funds remain locked and bankruptcy-remote from both parties, earning yield under programmatic bilateral release instructions;
3. Tamper-Evident Evidence Submission: Upon milestone completion, the scale-up deposits audited evidence packages into an immutable compliance ledger;
4. Programmatic Settlement Instruction: Following cryptographic data verification and the expiration of notice windows without formal dispute, the escrow agent executes capital disbursements.
Managing Subperformance, Cure Periods and Deadlock Mechanisms
Institutional governance requires robust contingency planning. Business execution is subject to market macroeconomic fluctuations. Mature investment contracts incorporate tiered dispute resolution workflows:
- Contractual Cure Periods: Granting scale-ups an extension (e.g., 60 to 90 days) to cure metric deficits without triggering immediate contractual breach;
- Pro-Rata Catch-up Provisions: If ARR reaches 85% to 95% of target thresholds, a pro-rata portion of the tranche is deployed, rolling the remaining balance into subsequent review windows;
- Deadlock Escalation & Return of Escrow: Should milestones fail following cure periods and parties reach a strategic impasse, remaining escrow balances are returned to investors, ensuring capitalization table alignment without litigation.
Venko Technical Architecture: Evidentiary Validation and WORM Milestone Reconciliation
Venko engineers and operates the cryptographic software infrastructure securing milestone-based venture financing:
- Automated Evidence Ingestion: Direct API integration with enterprise billing pipelines, tax filings, and independent SOC 2 security compliance vaults;
- WORM Cryptographic Ledger: Evidence packages, audit trails, and approvals are canonicalized under RFC 8785 and recorded in tamper-evident WORM ledgers with 10-year retention;
- Continuous Integrity Verification: RFC 6962 Merkle tree proofs and RFC 3161 cryptographic timestamps ensure zero data tampering;
- Zero-Custody Settlement Orchestration: Automatic generation of digitally signed technical certificates instructing custodian banks, maintaining complete segregation between software governance and monetary custody.
Frequently Asked Questions on Milestone Tranches in Venture Capital (FAQ)
How does LC 182/2021 protect tranche investors prior to corporate conversion?
Article 6 of Supplementary Law No. 182/2021 provides that capital deployed through convertible loans, stock options, or debentures does not constitute immediate equity capital. Consequently, investors do not assume partner status and remain shielded from investee labor, tax, or operational liabilities prior to formal share conversion.
What happens if the investee fails to reach the agreed ARR for the second tranche?
The investment contract defines subperformance remedies. Typically, a 60-to-90-day cure period applies. If targets remain unmet without mutual waiver, unreleased escrow funds are returned pro-rata to investors, preventing equity dilution for unachieved milestones.
Why use SOC 2 audit reports as technical disbursement criteria?
An AICPA SOC 2 Type II report provides independent attestation that a startup's security, availability, and processing integrity controls operated effectively over time. It offers objective proof that enterprise software architecture has matured to scale prior to deploying substantial growth capital.
How does the Shareholders' Agreement (Art. 118 of the LSA) bind executive officers to milestones?
Under Article 118 of Law 6,404/1976, shareholders' agreements filed at company headquarters are enforceable directly against the corporation. Officers are legally obligated to execute capital subscriptions once milestone conditions are satisfied, enforceable through specific judicial performance.
What is Venko's role in monitoring and reconciling linked escrow accounts?
Venko provides software infrastructure and cryptographic audit capabilities. The platform verifies ARR telemetry and SOC 2 evidence packages into immutable ledgers and generates compliance certificates. Venko does not hold financial custody; capital remains securely held by licensed banking institutions.
Intelligence Report Conclusions & Release Governance
- •Full Regulatory Compliance: Complete alignment with Federal Procurement Law 14,133/2021, Law 13,303/2016, and federal audit standards (CGU/TCU).
- •Canonical Segregation & Zero-Custody: Strict boundary between analytical evidence coordination and regulated banking custody.
- •Immutable Cryptographic Integrity: Audited envelope with SHA-256 canonical digest and full traceability via RFC 8785.
- •Fail-Closed Shielding: Operation strictly constrained in production environments with full quorum of validated gates.


